# Uses of Interface
org.eclipse.ecf.core.sharedobject.ISharedObject

Packages that use ISharedObject
Package
Description
org.eclipse.ecf.core.sharedobject
org.eclipse.ecf.core.sharedobject.model
org.eclipse.ecf.core.sharedobject.provider
org.eclipse.ecf.provider.generic
org.eclipse.ecf.provider.remoteservice.generic
org.eclipse.ecf.remoteservice.eventadmin

## Uses of ISharedObject in org.eclipse.ecf.core.sharedobject

Classes in org.eclipse.ecf.core.sharedobject that implement ISharedObject
Modifier and Type
Class
Description
`class`
`BaseSharedObject`
Base class for shared object classes.
`class`
`OptimisticSharedObject`
Superclass for shared object classes that replicate themselves optimistically.
`class`
`TransactionSharedObject`
Superclass for shared object classes that replicate themselves transactionally.
Methods in org.eclipse.ecf.core.sharedobject that return ISharedObject
Modifier and Type
Method
Description
`protected abstract ISharedObject`
AbstractSharedObjectContainerAdapterFactory.`createAdapter(ISharedObjectContainer container, Class adapterType, ID adapterID)`
Create an adapter instance that implements `ISharedObject` and adapterType.
`ISharedObject`
ISharedObjectFactory.`createSharedObject(String descriptionName)`
Create ISharedObject instance.
`ISharedObject`
ISharedObjectFactory.`createSharedObject(String descriptionName, Object[] args)`
Create ISharedObject instance.
`ISharedObject`
ISharedObjectFactory.`createSharedObject(SharedObjectTypeDescription typeDescription, Object[] args)`
Create ISharedObject instance.
`ISharedObject`
SharedObjectFactory.`createSharedObject(String descriptionName)`
`ISharedObject`
SharedObjectFactory.`createSharedObject(String descriptionName, Object[] args)`
`ISharedObject`
SharedObjectFactory.`createSharedObject(SharedObjectTypeDescription desc, Object[] args)`
`ISharedObject`
ISharedObjectManager.`getSharedObject(ID sharedObjectID)`
Get the ISharedObject instance corresponding to the given sharedObjectID.
`protected ISharedObject`
AbstractSharedObjectContainerAdapterFactory.`getSharedObjectAdapter(ISharedObjectContainer container, Class adapterType)`
Get the `ISharedObject` adapter for given `ISharedObjectContainer`.
`ISharedObject`
ISharedObjectManager.`removeSharedObject(ID sharedObjectID)`
Remove the given sharedObjectID from this ISharedObjectContainer.
Methods in org.eclipse.ecf.core.sharedobject with parameters of type ISharedObject
Modifier and Type
Method
Description
`ID`
ISharedObjectManager.`addSharedObject(ID sharedObjectID, ISharedObject sharedObject, Map properties)`
Add an ISharedObject to this container.
`protected Map`
AbstractSharedObjectContainerAdapterFactory.`createAdapterProperties(ISharedObjectContainer container, Class adapterType, ID sharedObjectID, ISharedObject sharedObjectAdapter)`
Get properties to associate with new shared object adapter creation

## Uses of ISharedObject in org.eclipse.ecf.core.sharedobject.model

Classes in org.eclipse.ecf.core.sharedobject.model that implement ISharedObject
Modifier and Type
Class
Description
`class`
`SharedModel`

## Uses of ISharedObject in org.eclipse.ecf.core.sharedobject.provider

Methods in org.eclipse.ecf.core.sharedobject.provider that return ISharedObject
Modifier and Type
Method
Description
`ISharedObject`
ISharedObjectInstantiator.`createInstance(SharedObjectTypeDescription typeDescription, Object[] args)`
Create instance of ISharedObject.

## Uses of ISharedObject in org.eclipse.ecf.provider.generic

Fields in org.eclipse.ecf.provider.generic declared as ISharedObject
Modifier and Type
Field
Description
`protected ISharedObject`
SOWrapper.`sharedObject`
Methods in org.eclipse.ecf.provider.generic that return ISharedObject
Modifier and Type
Method
Description
`protected ISharedObject`
SOManager.`createSharedObjectInstance(Class newClass, Class[] argTypes, Object[] args)`
`protected ISharedObject`
SOContainer.`getSharedObject(ID id)`
`ISharedObject`
SOManager.`getSharedObject(ID sharedObjectID)`
`protected ISharedObject`
SOWrapper.`getSharedObject()`
`protected ISharedObject`
SOContainer.`load(SharedObjectDescription sd)`
`protected ISharedObject`
SOManager.`loadSharedObject(SharedObjectDescription sd)`
`protected ISharedObject`
SOContainer.`removeSharedObject(ID id)`
`ISharedObject`
SOManager.`removeSharedObject(ID sharedObjectID)`
`protected ISharedObject`
SOManager.`verifySharedObject(Object newSharedObject)`
Methods in org.eclipse.ecf.provider.generic with parameters of type ISharedObject
Modifier and Type
Method
Description
`ID`
SOManager.`addSharedObject(ID sharedObjectID, ISharedObject sharedObject, Map properties)`
`protected ISharedObjectContainerTransaction`
SOContainer.`addSharedObject0(ID id, ISharedObject s, Map props)`
`protected void`
SOContainer.`addSharedObjectAndWait(ID id, ISharedObject s, Map properties)`
`protected ID`
SOManager.`createNewSharedObjectID(SharedObjectDescription sd, ISharedObject newObject)`
`protected SOConfig`
SOContainer.`createRemoteSharedObjectConfig(ID fromID, ReplicaSharedObjectDescription sd, ISharedObject obj)`
`protected SOWrapper`
SOContainer.`createRemoteSharedObjectWrapper(ID fromID, ReplicaSharedObjectDescription sd, ISharedObject s)`
`protected SOConfig`
SOContainer.`createSharedObjectConfig(ID id, ISharedObject obj, Map props)`
`protected SOWrapper`
SOContainer.`createSharedObjectWrapper(ID id, ISharedObject s, Map props)`
Constructors in org.eclipse.ecf.provider.generic with parameters of type ISharedObject
Modifier
Constructor
Description
``
`SOWrapper(SOConfig aConfig, ISharedObject obj, SOContainer cont)`

## Uses of ISharedObject in org.eclipse.ecf.provider.remoteservice.generic

Classes in org.eclipse.ecf.provider.remoteservice.generic that implement ISharedObject
Modifier and Type
Class
Description
`class`
`RegistrySharedObject`
Methods in org.eclipse.ecf.provider.remoteservice.generic that return ISharedObject
Modifier and Type
Method
Description
`protected ISharedObject`
RemoteServiceContainerAdapterFactory.`createAdapter(ISharedObjectContainer container, Class adapterType, ID adapterID)`

## Uses of ISharedObject in org.eclipse.ecf.remoteservice.eventadmin

Classes in org.eclipse.ecf.remoteservice.eventadmin that implement ISharedObject
Modifier and Type
Class
Description
`class`
`DistributedEventAdmin`